package com.sobot.common.login.model;

import com.sobot.gson.annotations.Expose;
import com.sobot.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

//在线接口返回的客服信息
public class OnlineUserEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    private String tempId;    //客服temp-id
    private int blackFunction = 1;    //是否有拉黑权限   0 没有  1  有
    private int transferFunction = 1;    //是否有转接权限   0 没有  1  有
    private int status; //账号状态 1正常0登录邮箱或密码不正确 2用户已在pc端登录
    private String pu;
    private String puid;
    private int imFlag;//0是工单客服  1是在线客服
    private int topFlag;//星标置顶 0不置顶 1置顶
    private int sortFlag;//会话排序 0 按接入顺序 1 按新消息时间
    private String centerNumber;//如果不为空，说明开通了呼叫功能
    private int fuseWork;//1-存在融合工作台，使用新版服务总计 0-没有融合工作台
    private int transferAuditFlag;//转接审核开关 0关闭  1开启

    private String kbVersion;//智能回复，查询版本v6/v1
    private String robotVersion;//机器人，查询版本v6/v1
    private String onlineVersion;//在线，查询版本v6/v1


    @Expose
    @SerializedName("wslink.bak")
    private List<String> wslinkBak;//通道地址

    @Expose
    @SerializedName("wslink.default")
    private String wslinkDefault;//通道默认地址

    public String getTempId() {
        return tempId;
    }

    public void setTempId(String tempId) {
        this.tempId = tempId;
    }

    public int getBlackFunction() {
        return blackFunction;
    }

    public void setBlackFunction(int blackFunction) {
        this.blackFunction = blackFunction;
    }

    public int getTransferFunction() {
        return transferFunction;
    }

    public void setTransferFunction(int transferFunction) {
        this.transferFunction = transferFunction;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getPu() {
        return pu;
    }

    public void setPu(String pu) {
        this.pu = pu;
    }

    public String getPuid() {
        return puid;
    }

    public void setPuid(String puid) {
        this.puid = puid;
    }

    public int getImFlag() {
        return imFlag;
    }

    public void setImFlag(int imFlag) {
        this.imFlag = imFlag;
    }

    public int getTopFlag() {
        return topFlag;
    }

    public void setTopFlag(int topFlag) {
        this.topFlag = topFlag;
    }

    public int getSortFlag() {
        return sortFlag;
    }

    public void setSortFlag(int sortFlag) {
        this.sortFlag = sortFlag;
    }

    public String getCenterNumber() {
        return centerNumber;
    }

    public void setCenterNumber(String centerNumber) {
        this.centerNumber = centerNumber;
    }

    public int getFuseWork() {
        return fuseWork;
    }

    public void setFuseWork(int fuseWork) {
        this.fuseWork = fuseWork;
    }

    public int getTransferAuditFlag() {
        return transferAuditFlag;
    }

    public void setTransferAuditFlag(int transferAuditFlag) {
        this.transferAuditFlag = transferAuditFlag;
    }

    public String getKbVersion() {
        return kbVersion;
    }

    public void setKbVersion(String kbVersion) {
        this.kbVersion = kbVersion;
    }

    public List<String> getWslinkBak() {
        return wslinkBak;
    }

    public void setWslinkBak(List<String> wslinkBak) {
        this.wslinkBak = wslinkBak;
    }

    public String getWslinkDefault() {
        return wslinkDefault;
    }

    public void setWslinkDefault(String wslinkDefault) {
        this.wslinkDefault = wslinkDefault;
    }

    public String getRobotVersion() {
        return robotVersion;
    }

    public void setRobotVersion(String robotVersion) {
        this.robotVersion = robotVersion;
    }

    public String getOnlineVersion() {
        return onlineVersion;
    }

    public void setOnlineVersion(String onlineVersion) {
        this.onlineVersion = onlineVersion;
    }
}
